package xtools.boot.api.enums;

import xtools.base.exception.BaseErrorModule;

/**
 * <p>Title : BootErrorModule</p>
 * <p>Description : BootErrorModule</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2025/12/23 16:53
 */
public enum BootErrorModule implements BaseErrorModule {
    // API模块
    BOOT_API("xtools-boot-api"),
    // 核心模块
    BOOT_CORE("xtools-boot-core"),
    // 日志模块
    BOOT_LOG("xtools-boot-log"),
    // MQ模块
    BOOT_MQ("xtools-boot-mq"),
    ;

    /**
     * 错误模块
     **/
    private final String module;

    /**
     * 构造方法
     *
     * @param module 错误模块
     */
    BootErrorModule(String module) {
        this.module = module;
    }

    /**
     * 错误模块
     *
     * @return 错误模块
     */
    @Override
    public String module() {
        return this.module;
    }

}
